package com.huimv.eartag2.manage.producer;

import com.alibaba.fastjson.JSONObject;
import com.huimv.eartag2.common.mq.Const;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Component
public class ManageProducer {
    @Autowired
    RabbitTemplate rabbitTemplate;  //使用RabbitTemplate,这提供了接收/发送等等方法

    //处理同步设备注册相关信息
    public String sendSyncDeviceRegister(String deviceRegister) {
        Map map = new HashMap();
        map.put("deviceRegister",deviceRegister);
        rabbitTemplate.convertAndSend(Const.EXCHANGE_SYNC_DEVICE_REGISTER, Const.ROUTING_KEY_SYNC_DEVICE_REGISTER, map);
        System.out.println("同步设备注册信息 >>"+map.toString());
        return "ok";
    }

}
